BEEM - Android XMPP - Bug #220

Plantage lorsque I'on tente de modifier les paramétres aprés une annulation de connexion
11/20/2009 04:22 PM - Jean-Baptiste Vergely

Status: Closed Start date: 11/20/2009
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 5.00 hours
Target version: 0.1

Affected version: Locale:

Description

Probléme, lorsque I'on arrive sur la page de connexion de BEEM et que I'on effectue la manip suivante:

touche retour (annulation de la connexion) > menu > settings > Modification des paramétres > login. Normalement il se passe rien,
pas de reconnexion ni rien.

Si on tente de re-rentrer dans le menu, I'appli plante mais pas complétement car on reste sur BEEM.
rapport d'erreurs:

11-20 16:20:27.814: WARN/dalvikvm(807): threadid=3: thread exiting with uncaught exception (group=0x4000fe70)

11-20 16:20:27.814: ERROR/AndroidRuntime(807): Uncaught handler: thread main exiting due to uncaught exception

11-20 16:20:27.934: ERROR/AndroidRuntime(807): java.lang.RuntimeException: Unable to stop activity
{com.beem.project.beem/com.beem.project.beem.ui.Login}: java.lang.lllegalArgumentException: Service not registered:
com.beem.project.beem.ui.Login$BeemServiceConnection@43744198

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at
android.app.ActivityThread.performStopActivityInner(Activity Thread.java:2905)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.app.ActivityThread.handleStopActivity(ActivityThread.java:2948)
11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.app.ActivityThread.access$2100(ActivityThread.java:112)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1708)
11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.os.Handler.dispatchMessage(Handler.java:99)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.os.Looper.loop(Looper.java:123)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.app.ActivityThread.main(ActivityThread.java:3948)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at java.lang.reflect.Method.invokeNative(Native Method)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at java.lang.reflect.Method.invoke(Method.java:521)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at
com.android.internal.os.ZygotelnitsMethodAndArgsCaller.run(Zygotelnit.java:782)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:540)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at dalvik.system.NativeStart.main(Native Method)

11-20 16:20:27.934: ERROR/AndroidRuntime(807): Caused by: java.lang.lllegalArgumentException: Service not registered:
com.beem.project.beem.ui.Login$BeemServiceConnection@43744198

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at
android.app.ActivityThread$Packagelnfo.forgetServiceDispatcher(Activity Thread.java:839)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at
android.app.ApplicationContext.unbindService(ApplicationContext.java:843)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.content.ContextWrapper.unbindService(ContextWrapper.java:312)
11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at com.beem.project.beem.ui.Login.onStop(Login.java:107)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.app.Instrumentation.callActivityOnStop(Instrumentation.java:1245)
11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at android.app.Activity.performStop(Activity.java:3564)

11-20 16:20:27.934: ERROR/AndroidRuntime(807):  at
android.app.ActivityThread.performStopActivityInner(ActivityThread.java:2902)

History

#1 - 11/20/2009 05:17 PM - Jean-Baptiste Vergely

MAJ: Le probléme intervient aussi lorsque I'on appuie sur la touche "Home" ou bien la touche "prendre un appel".

#2 - 12/03/2009 11:33 AM - Vincent Véronis
- Status changed from New to Resolved

- Assignee set to Frédéric Barthéléry

04/30/2025 12




- % Done changed from 0 to 100
- Estimated time set to 5.00 h

Manage login change.

#3 - 12/11/2009 02:45 PM - Frédéric Barthéléry
- Status changed from Resolved to Closed

04/30/2025
